using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace Assets.Scripts.StructureControllers
{
    class WallController : StructureController
    {
        public override LevelObjectFaction ObjectFaction { get { return LevelObjectFaction.Zombie; } }
        public override LevelObjectType ObjectType { get { return LevelObjectType.Wall; } }
        public AudioSource buildSound;

        public void Awake()
        {
            Init();
        }

        public override void Init()
        {
            base.Init();
            Active = false;
        }

        public override bool PowerUp()
        {
            buildSound.Play();
            return base.PowerUp();
        }

        public override bool PlayerAction(Necromancer player)
        {
            return base.PlayerAction(player);
        }

        public override void TakeDamage(LevelObjectBase source, int dmg)
        {
            base.TakeDamage(source, dmg);
            Debug.Log($"{this.name}: Taking Damage - Level={CurrentLevel}  HP={CurrentHP} Destroyed={Destroyed}");
        }
        public void Update()
        {
        }
    }
}
